Find groups

Prev Next
Get
/group/find

Returns a paginated list of groups visible to the caller.

Query parameters
nameFilter
string

Case-insensitive substring to match against group name or email

groupCategoryId
integer (int64)

Only groups in this category

status
string

Group lifecycle status

Valid values[ "active", "archived" ]
groupType
string

Group type

Valid values[ "regular", "super" ]
sortBy
string

Sort field

Valid values[ "name", "email", "creationDate", "memberCount", "messageCount", "groupCategory", "id" ]
sortOrder
string

Sort direction

Valid values[ "asc", "desc" ]
page
integer (int32)

One-based page number; defaults to 1

Minimum1.0
limit
integer (int32)

Results per page; defaults to 25 and is capped at 500

Minimum1.0
Maximum500.0
Responses
200

A page of matching groups.

Expand All
object
groups
Array of object (GroupSummary)
object
id
integer (int64)
name
string
email
string
description
string
groupCategoryId
integer (int64)
groupCategoryLabel
string
archived
boolean
Defaultfalse
isSuperGroup
boolean
Defaultfalse
creationDate
integer (int64)
memberCount
integer (int64)
messageCount
integer (int64)
ownerId
integer (int64)
isoCountryCode
string
isoLanguageCode
string
messageCategoryId
integer (int64)
page
integer (int32)
limit
integer (int32)
totalCount
integer (int64)
400

A filter, sorting or paging parameter is invalid.